import { formatImgUrl } from "@/common/fotmat";
import { useSelector } from "@/reducers/hooks";
import { Image, Text, View } from "@tarojs/components"
import classnames from "classnames";
import { memo } from "react";
import styles  from './index.module.scss'
export default memo(() => {
    const userInfo = useSelector(state => state.userInfo)
    return (
        <View className={styles.order_item}>
            <View className={styles.header}>
                <View className={styles.user}>
                <Image src={`${userInfo.adminUserInfo.avatar_url}`}/>
                <Text className={styles.name}>{userInfo.adminUserInfo.user_name}</Text>
                </View>
                <View className={styles.order_num}>
                <Text>订单号：LY2278204399678</Text>
                <Text className={classnames(styles.miconfont, 'iconfont, icon-a-moreback')}></Text>
                </View>
                <View className={styles.tag}>自提</View>
            </View>
            <View className={styles.product_title}>
                <View className={styles.product_tag}>大货</View>
                <View className={styles.product_name}>0770# 21S单面平纹(食毛)</View>
                <View className={styles.product_status}>待接单</View>
            </View>
            <View className={styles.product_list}>
                <View className={styles.image}>
                <Image src={formatImgUrl('')}/>
                <View className={styles.color_num}>24色</View>
                </View>
                <View className={styles.color_list}>
                <View className={styles.color_item}>
                    <View className={styles.color_title}>1# 薄荷绿</View>
                    <View className={styles.color_price}>¥40/kg</View>
                    <View className={styles.color_num}>×2条</View>
                </View>
                <View className={styles.color_item}>
                    <View className={styles.color_title}>1# 薄荷绿</View>
                    <View className={styles.color_price}>¥40/kg</View>
                    <View className={styles.color_num}>×2条</View>
                </View>
                <View className={styles.color_item}>
                    <View className={styles.color_more}>……</View>
                    <View className={styles.color_more}>……</View>
                    <View className={styles.color_more}>……</View>
                </View>
                
                </View>
            </View>
            <View className={styles.color_count_num}>2种面料，3种颜色，共6条</View>
            <View className={styles.btns_list}>
                <View className={styles.btns_item}>取消订单</View>
                <View className={styles.btns_item}>修改地址</View>
                <View className={styles.btns_item}>修改地址</View>
                <View className={classnames(styles.btns_item, styles.end_btn)}>去付款</View>
            </View>
        </View>
    )
})