import Search from "@/components/search"
import useLogin from "@/use/useLogin"
import { Image, Text, View } from "@tarojs/components"
import { useDidShow, useRouter } from "@tarojs/taro"
import { useCallback, useState } from "react"
import {ORDER_STATUS} from '@/common/enum'
import styles  from './index.module.scss'
import classnames from "classnames";
import { useSelector } from "@/reducers/hooks"
import { formatImgUrl } from "@/common/fotmat"
import Order from "./components/order"
import InfiniteScroll from "@/components/infiniteScroll"

export default () => {
  const {checkLogin} = useLogin()
  useDidShow(async () => {
    await checkLogin()
  })

  const router = useRouter()
  //搜索参数
  const [searchField, setSearchField] = useState({
    shipment_mode:'',
    page : 1,
    size : 10,
    key:''
  })

  //订单状态
  type orderStatusParam = {value:number, label:string}[] 
  const order_status: orderStatusParam = [{value:-1, label:'全部'}, ...Object.values(ORDER_STATUS)]
  const [selectStatus, setSelectStatus] = useState(-1)
  const changeStatus = useCallback((e) => {
    setSelectStatus(() => e)
  }, [])

  //输入了搜索关键字
  const getSearchData = useCallback((e) => {
    // setMaterialList(() => ({list:[], total:0}))
    setSearchField((val) => ({...val, code_or_name:e, size:10}))
  }, [])

  

  return (
    <View className={styles.order_list_main}>
      <View className={styles.title}>
        <Search placeIcon="out" placeholder="搜索商品/名称/颜色/订单号" showBtn={true} defaultValue={router.params.key} changeOnSearch={getSearchData} debounceTime={300}/>
        <View className={styles.order_status_list}>
          {order_status.map(item => {
            return <View key={item.value} onClick={() => changeStatus(item.value)} className={classnames(styles.order_status_item, (selectStatus==item.value)&&styles.selected)}>{item.label}</View>
          })}
        </View>
      </View>
      <View className={styles.order_list}>
          <InfiniteScroll>
            {new Array(10).fill('').map(item => {
              return <View className={styles.order_item}> <Order/></View>
              
            })}
          </InfiniteScroll>
      </View>
    </View>
  )
}
